Bug 13282 - Zero initialize variables in test_LookupSidsReply()
Zero initialize variables in test_LookupSidsReply()
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: smbtorture
unspecified
All All
: P5 normal
: 4.8
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13287
  Show dependency treegraph
 
Reported: 2018-02-19 15:41 UTC by Ralph Böhme
Modified: 2018-02-28 11:45 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (2.28 KB, patch)
2018-02-27 10:16 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-02-19 15:41:29 UTC
This avoids crashes if the server returns unexpected results.  The test should just report the failure in that case.
Comment 1 Ralph Böhme 2018-02-27 10:16:01 UTC
Created attachment 13989 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 15:26:11 UTC
Pushed to autobuild-v4-8-test.
Comment 3 Karolin Seeger 2018-02-28 11:45:44 UTC
Pushed to v4-8-test.
Closing out bug report.
Thanks!